package com.dev.swms.server.service.base;

import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import com.dev.energy.server.service.BaseManager;
import com.dev.swms.server.model.base.City;
import com.dev.swms.server.model.base.Vehicle;
/**
 * 城市管理
 * @author 44700
 *
 */
@Transactional(readOnly = true)
public interface CityManager extends BaseManager{
	
		//添加城市
		@Transactional
		void saveCity(City c);
			
		//删除城市
		@Transactional
		void deleteCity(List<Long> ids);
		
		//失效
		@Transactional
		void CityInvalid(List<Long> ids);
			
		//恢复
		@Transactional
		void Cityrestore(List<Long> ids);
		//删除设变
		@Transactional
		void deleteDesignList(List<Long> ids);
}
